Subject: [mpls] Barry Leiba's No Objection on draft-ietf-mpls-base-yang-15: (with COMMENT)

From: Barry Leiba via Datatracker <[email-masked]>
Date: Thu, 03 Sep 2020 20:18:48 -0700

Barry Leiba has entered the following ballot position for
draft-ietf-mpls-base-yang-15: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-mpls-base-yang/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

The document sometimes says “YANG model” and sometimes “YANG module”.  It
should use the correct term and be consistent, no?

I note that there is BCP 14 boilerplate here but no BCP 14 key words in the
document.  The shepherd writeup notes that also and says that the shepherd
wanted to discuss this with the authors... but there is no resolution to that. 
Did the shepherd discuss it with the authors?  Should some “must”s become
“MUST”s?  Or should the boilerplate and references be removed?

— Section 1 —

   The MPLS base model also defines a new instance of the generic RIB
   model as defined in {!RFC8349}} to store native MPLS routes.

What is the notation around RFC8349?  Does it mean something, or is it a markup
artifact that needs to be fixed during editing?

---

From: tom petch <[email-masked]>
Date: Sat, 5 Sep 2020 11:13:21 +0000

From: mpls <[email-masked]> on behalf of Barry Leiba via Datatracker <[email-masked]>
Sent: 04 September 2020 04:18

<tp>
Barry,

On this one point, Benoit and the YANG doctors provided guidance on this based on RFC6020 in feb 2016 that
- YANG model should not be used
- YANG module is self-contained and compilable
- YANG data model consists of multiple modules, submodules and so on giving RFC7407 as an exemplar   
On that basis it is the Abstract that departs most from this and is need of some more 'data' between 'YANG' and 'model'.

Tom Petch

— Section 1 —

_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls